- Main Page
- Namespaces
- Classes
- Files
- Directories

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiCuts::const_iterator Class Reference

Const Iterator. More...

`#include <OsiCuts.hpp>`

Collaboration diagram for OsiCuts::const_iterator:

[legend]
List of all members.

## Public Types
typedef std::bidirectional_iterator_tag | iterator_category
typedef OsiCut * | value_type
typedef size_t | difference_type
typedef OsiCut ** | pointer
typedef OsiCut *& | reference
typedef std::bidirectional_iterator_tag | iterator_category
typedef OsiCut * | value_type
typedef size_t | difference_type
typedef OsiCut ** | pointer
typedef OsiCut *& | reference
## Public Member Functions
| const_iterator (const OsiCuts &cuts)
| const_iterator (const const_iterator &src)
const_iterator & | operator= (const const_iterator &rhs)
| ~const_iterator ()
const OsiCut * | operator * () const
const_iterator | operator++ ()
const_iterator | operator++ (int)
bool | operator== (const const_iterator &it) const
bool | operator!= (const const_iterator &it) const
bool | operator< (const const_iterator &it) const
| const_iterator (const OsiCuts &cuts)
| const_iterator (const const_iterator &src)
const_iterator & | operator= (const const_iterator &rhs)
| ~const_iterator ()
const OsiCut * | operator * () const
const_iterator | operator++ ()
const_iterator | operator++ (int)
bool | operator== (const const_iterator &it) const
bool | operator!= (const const_iterator &it) const
bool | operator< (const const_iterator &it) const
## Private Member Functions
| const_iterator ()
const_iterator | begin ()
const_iterator | end ()
| const_iterator ()
const_iterator | begin ()
const_iterator | end ()
## Private Attributes
const OsiCuts * | cutsPtr_
int | rowCutIndex_
int | colCutIndex_
const OsiCut * | cutP_
const OsiCuts * | cutsPtr_
const OsiCut * | cutP_
## Friends
class | OsiCuts
friend class | OsiCuts

## Detailed Description

Const Iterator.

This is a class for iterating over the collection of cuts.

Definition at line 74 of file OsiCuts.hpp.

## Member Typedef Documentation

typedef std::bidirectional_iterator_tag OsiCuts::const_iterator::iterator_category

Definition at line 77 of file OsiCuts.hpp.

typedef OsiCut* OsiCuts::const_iterator::value_type

Definition at line 78 of file OsiCuts.hpp.

typedef size_t OsiCuts::const_iterator::difference_type

Definition at line 79 of file OsiCuts.hpp.

typedef OsiCut** OsiCuts::const_iterator::pointer

Definition at line 80 of file OsiCuts.hpp.

typedef OsiCut*& OsiCuts::const_iterator::reference

Definition at line 81 of file OsiCuts.hpp.

## Constructor & Destructor Documentation

OsiCuts::const_iterator::const_iterator | ( | const OsiCuts & | cuts | ) |

OsiCuts::const_iterator::const_iterator | ( | const const_iterator & | src | ) |

OsiCuts::const_iterator::~const_iterator | ( |  | ) |

OsiCuts::const_iterator::const_iterator | ( |  | ) | `[inline, private]`

## Member Function Documentation

const_iterator& OsiCuts::const_iterator::operator= | ( | const const_iterator & | rhs | ) |

const OsiCut* OsiCuts::const_iterator::operator * | ( |  | ) | const`[inline]`

Definition at line 88 of file OsiCuts.hpp.

const_iterator OsiCuts::const_iterator::operator++ | ( |  | ) |

const_iterator OsiCuts::const_iterator::operator++ | ( | int |  | ) | `[inline]`

Definition at line 92 of file OsiCuts.hpp.

bool OsiCuts::const_iterator::operator== | ( | const const_iterator & | it | ) | const`[inline]`

Definition at line 99 of file OsiCuts.hpp.

bool OsiCuts::const_iterator::operator!= | ( | const const_iterator & | it | ) | const`[inline]`

Definition at line 103 of file OsiCuts.hpp.

bool OsiCuts::const_iterator::operator< | ( | const const_iterator & | it | ) | const`[inline]`

Definition at line 107 of file OsiCuts.hpp.

const_iterator OsiCuts::const_iterator::begin | ( |  | ) | `[private]`

const_iterator OsiCuts::const_iterator::end | ( |  | ) | `[private]`

## Friends And Related Function Documentation

friend class OsiCuts`[friend]`

Definition at line 75 of file OsiCuts.hpp.

## Member Data Documentation

const OsiCuts* OsiCuts::const_iterator::cutsPtr_`[private]`

Definition at line 115 of file OsiCuts.hpp.

const OsiCut* OsiCuts::const_iterator::cutP_`[private]`

Definition at line 118 of file OsiCuts.hpp.

The documentation for this class was generated from the following files:

- osi_doxy.tag:/home/coin/SVN-release/Cgl-0.57.1/Osi/src/Osi/OsiCuts.hpp